Crypt::Random::Source::Base::File(3pm)

NAME
Crypt::Random::Source::Base::File - File (or device) random data sources

VERSION
version 0.14

SYNOPSIS
    use Moo;
    extends qw(Crypt::Random::Source::Base::File);

    has '+path' => (
        default => "/foo/bar",
    );

DESCRIPTION
This is a base class for file (or file like) random data sources.

ATTRIBUTES

  path
A required attribute, the path to the file to open.

METHODS

  open_handle
Uses IO::File to open "path" for reading.

SUPPORT
Bugs may be submitted through the RT bug tracker <https://rt.cpan.org/Public/Dist/Display.html?Name=Crypt-Random-Source> (or bug-Crypt-Random-Source@rt.cpan.org <mailto:bug-Crypt-Random-Source@rt.cpan.org>).

AUTHOR
יובל קוג'מן (Yuval Kogman) <nothingmuch@woobling.org>

COPYRIGHT AND LICENCE
This software is copyright (c) 2008 by Yuval Kogman.

This is free software; you can redistribute it and/or modify it under the same terms as the Perl 5 programming language system itself.